#!/bin/bash

# To be run after constDat.sh. Makes a latitude set for each "constellation"
LC_ALL="C"

Ye=2024

cd constell

#for C in Ori CMa Leo Crux Her Sco Sgr Cyg Gru Peg
for C in Ori CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg Per Gem


do

 if [ ! -d $C ]
 then
  mkdir $C
 fi 
 cd $C

 echo $C
 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do
  echo $L
  num=1

#  for D in Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06

for MoDa in \
01-06 \
02-04 \
03-05 \
04-04 \
05-02 \
06-01 \
06-30 \
07-30 \
08-30 \
09-28 \
10-28 \
11-26 \
12-26



do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

   if [ -f ../../$MoNDa/$C/$L.pdf ] 
   then
    echo $num
    ln -sf ../../$MoNDa/$C/$L.pdf $num.pdf
    num=$[$num+1]
   fi
  done 

  pdftk ?.pdf \
   cat output ${C}${L}.pdf

  rm  ?.pdf 
  
 done

 cd ..
 
done

cd ..
 
